SEQanswers

SEQanswers (http://seqanswers.com/forums/index.php)
-   Bioinformatics (http://seqanswers.com/forums/forumdisplay.php?f=18)
-   -   How to install ALLPATHLG? (http://seqanswers.com/forums/showthread.php?t=8842)

skblazer 01-12-2011 12:59 PM

How to install ALLPATHLG?
 
I have used two days to try building it, but I have not fixed it.

When I tried the latest version, it failed when ./configure

Code:

g++ version is >= 4.3.3... yes
./configure: line 14507: AC_PROG_GREP: command not found
checking for Boost headers version >= 103800... /share/bin/boost_1_43_0//include/boost-1_43
checking for Boost's header version... 1_43
checking for the toolset name used by Boost for g++... gcc43 -gcc
./configure: line 15248: syntax error near unexpected token `re-using'
./configure: line 15248: `  _AS_ECHO_LOG(re-using the existing conftest.$ac_objext)'

But I can't find any information about how to fix the problem

Then I tried an earlier version, it failed either when ./configure
It told me my compiler doesn't support OpenMP
Code:

checking for the Boost filesystem library... yes
checking for the pthreads library -lpthreads... no
checking whether pthreads work without any flags... no
checking whether pthreads work with -Kthread... no
checking whether pthreads work with -kthread... no
checking for the pthreads library -llthread... no
checking whether pthreads work with -pthread... yes
checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
checking if more special flags are required for pthreads... no
checking validity of OpenMP configuation.... Failed...
configure: Configure failed with the error message: Your compiler must support OpenMP.

It either doesn't work when I add the flag --disable-openmp with the same report.

But I checked my gcc version, and found that gmp was installed in my system and my gcc should support gmp.
Code:

gcc -v
Using built-in specs.
Target: x86_64-unknown-linux-gnu
Configured with: ../gcc-4.3.3/./configure --prefix=/share/bin/gcc-4.3.3 --with-gmp=/share/bin/gmp-4.2.4/ --with-mpfr=/share/bin/mpfr-2.3.2/ --disable-multilib --enable-languages=c,c++,fortran,objc
Thread model: posix
gcc version 4.3.3 (GCC)

So I have no idea how to fix it.

Anybody can share some information?


All times are GMT -8. The time now is 07:45 PM.

Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2020, vBulletin Solutions, Inc.